Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059438 - Migration tool should skip drools categories
Summary: Migration tool should skip drools categories
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Migration Tool
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: 6.0.1
Assignee: Neus Miras
QA Contact: Petr Široký
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 21:07 UTC by jbride@redhat.com
Modified: 2014-08-06 19:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:59:23 UTC
Type: Bug


Attachments (Terms of Use)

Description jbride@redhat.com 2014-01-29 21:07:08 UTC
Hi.
  As per the drools 6 documentation:  

"Categories do not have the same role in the current release of the Workbench as they had in prior versions (up to and including 5.5). Projects can no longer be built using a selector to include assets that are labelled with certain Categories. Categories are therefore considered a deprecated feature."

As of BRMS6 CR2, the migration tool attempts to migrate drools categories that may have grouped design-time artifacts in a BRMS5 JCR repository.  And the tool fails when attempting to do so (at least when migrating this repo:   http://people.redhat.com/jbride/bldw/policy_quote_scenario_export.zip ), with the following error message:

org.drools.repository.RulesRepositoryException:  Unable to load the category : [policy] does not exist.


Recommend skipping any attempt to migrate categories as per this discussion:  https://community.jboss.org/thread/236600

thanks!  jeff

Comment 2 Neus Miras 2014-02-03 17:31:40 UTC
There was a problem related with the recursivity at the category migration.
This has been fixed at commit:

6.0.x
https://github.com/droolsjbpm/drools-wb/commit/d7699b049b73c5abc8908b5c2cc82c36dd96a469 

After this commit, the old categories are migrated in the same structure. If they haven't to be migrated , just tell me and we can remove them from the migration as Jeff recomendation.

Neus.

Comment 3 Petr Široký 2014-02-21 13:04:45 UTC
The Business Central in version 6 still contains the Categories editor, so I guess they might be eventually used. I think there is no harm in migrating them. I am closing this issue as it's fixed in 6.0.1-ER1.


Note You need to log in before you can comment on or make changes to this bug.